dmrg(8)

NAME
dmrg - The main DMRG++ driver

SYNOPSIS
./dmrg [-b] [--threads=n] [--wft=yes|no] [--no-finite-loops] [--logfile=logfile] [-v] [-h] [-f input-file]

DESCRIPTION
If no -f input-file is given, DMRG++ prints the version details and exits. Else it uses the input-file as input for the main driver. Command line options override input file options, which in turn override defaults.

OPTIONS

-b  Run in the background. Requires the --logfile option.

-f input-file
    Use input-file as the input for the main driver. If input-file is - then read standard input.

-h  Print this message and exit.

--logfile=logfile
    Do not print progress to the terminal. Close standard output and error and redirect both to logfile.

--no-finite-loops
    Do not perform finite loops, that is, exit after the infinite algorithm has finished.

--threads=n
    Use n pthreads. It is an error to specify this option unless the code was compiled with pthread support.

-v  Turn on verbose mode.

--wft=yes|no
    Perform or do not perform the wave-function transformation for guessing the ground state.

AUTHOR
G.A.

BUGS

LIMITATIONS

SEE ALSO
configure.pl, observe, testsuite.pl, oracleCreator.pl, processingLibrary.txt